/**
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of CG demo for the TOSHIBA
 *          'TMPM037' Device Series 
 * @version V0.100
 * @date    2014/06/28
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm037_gpio.h"
#include "tmpm037_cg.h"
#include "sw.h"
#include "led.h"
#include "common_uart.h"
#include "tmpm037_tmrb.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Set External interrupt pin's PORT/Bit, Interrupt Number */
#define     ExtINTSrc_IRQn          INTTMRB0_IRQn
#define     TMRB_1MS                0x9C40U

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* External function prototypes ----------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
void enter_IDLE(void);
void Delay(void);
void TMRB_Enable(TSB_TB_TypeDef * TBx);
void TMRB_Init(TSB_TB_TypeDef * TBx, TMRB_InitTypeDef * InitStruct);
void TMRB_SetINTMask(TSB_TB_TypeDef * TBx, uint32_t INTMask);
void TMRB_SetRunState(TSB_TB_TypeDef * TBx, uint32_t Cmd);
void TMRB_SetIdleMode(TSB_TB_TypeDef * TBx, FunctionalState NewState);

#endif
/*********************************** END OF FILE ******************************/
